#include <Servo.h>                    //vložení knihovny na ovládání serva

#define pin1 A2                       //nadefinování pravého mtoru
#define pin2 A3
#define pw1 5

#define pin3 A4                        //nadefinování levého motoru
#define pin4 A5
#define pw2 6

int trig_pin = 12;                     //definování sonaru
int echo_pin = 13;
long echotime;
float distance;

Servo s1, s2, s3, s4, s5, s6;         //nadefinování jednotlivých serv
char i;                               //proměnná pro bluetooth
int hodnota;                         //proměnná pro hodnotu serva
int hodnota2;
int led = 7;                          //proměnná pro led přísvit
int laser = 8;                        //proměnná pro laser



void setup() {

  pinMode(trig_pin, OUTPUT);         //definování pinů pro sonar
  pinMode(echo_pin, INPUT);
  digitalWrite(trig_pin, LOW);

  pinMode(pin1, OUTPUT);              //nadefinování pinů na motory
  pinMode(pin2, OUTPUT);
  pinMode(pw1, OUTPUT);
  pinMode(pin3, OUTPUT);
  pinMode(pin4, OUTPUT);
  pinMode(pw2, OUTPUT);

  // analogWrite(pw1, 50);                //prvotní zapsání pwm hodnoty do motoru
  // analogWrite(pw2, 50);

  Serial.begin(9600);                 //zahájení seriové komunikace

  s1.attach(3);                       //nadefinování serv na jednotilivé piny
  s2.attach(9);
  s3.attach(10);
  s4.attach(11);
  s5.attach(2);
  s6.attach(4);

  pinMode(led, OUTPUT);              //nadefinování proměnné led jako výstup
  pinMode(laser, OUTPUT);

  // digitalWrite(led, LOW);            //úvodní nadefinování laseru a led jako vyplé
  // digitalWrite(laser, LOW);

  s1.write(85);                       //úvodní nastavení serv do prvnotní polohy
  s2.write(50);
  s3.write(70);
  s4.write(45);
  s5.write(92);
  s6.write(90);
}

void loop() {
  if (Serial.available()) {
    i = Serial.read();
    hodnota = Serial.parseInt();
    hodnota2 = Serial.parseInt();


    switch (i) {



      case 'l':
        digitalWrite(pin1, HIGH);
        digitalWrite(pin2, LOW);
        analogWrite(pw1, hodnota);
        break;


      case 'p':
        digitalWrite(pin3, HIGH);
        digitalWrite(pin4, LOW);
        analogWrite(pw2, hodnota);
        break;

      case 'L':
        digitalWrite(pin1, LOW);
        digitalWrite(pin2, HIGH);
        analogWrite(pw1, hodnota);
        break;


      case 'P':
        digitalWrite(pin3, LOW);
        digitalWrite(pin4, HIGH);
        analogWrite(pw2, hodnota);
        break;

      case 'd':
        digitalWrite(trig_pin, HIGH);
        delayMicroseconds(10);
        digitalWrite(trig_pin, LOW);
        echotime = pulseIn(echo_pin, HIGH);
        distance = 0.0001 * ((float)echotime * 340.0) / 2.0;
        //Serial.print("*T" + String(echotime) + "*");
        Serial.print("*D" + String(distance, 1) + "*");
        break;

      case 'x':                       // pokud je znak x do s1 zapiš hodnotu servoVal atd...
        hodnota = map(hodnota, 180, 0, 0, 180);
        s1.write(hodnota);
        break;

      case 'y':
        s2.write(hodnota);
        break;

      case 'z':
        s3.write(hodnota);
        break;

      case 'u':
        s4.write(hodnota);
        break;

      case 'k':
        s5.write(hodnota);
        s6.write(hodnota2);
        break;

      case 's':
        digitalWrite(led, HIGH);
        break;

      case 'S':
        digitalWrite(led, LOW);
        break;

      case 'b':
        digitalWrite(laser, HIGH);
        break;

      case 'B':
        digitalWrite(laser, LOW);
        break;

      case 'o':
        s1.write(85);                       //úvodní nastavení serv do prvnotní polohy
        s2.write(50);
        s3.write(70);
        s4.write(45);
        s5.write(92);
        s6.write(90);
        break;
    }


  }

}

